ToolzerHub Docs

Check if an Instagram account is live (v2)

Returns is_live for a public Instagram account, identified by username_or_id, and the live broadcast when it is streaming.

1 credit / requestBilled only on success
GET
/v2/instagram/user/live

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

username_or_id*string

Username without the @, or numeric user ID, of a public account. The numeric ID is the pk or id field of a profile object.

Length1 <= length
curl -X GET "https://example.com/v2/instagram/user/live?username_or_id=nasa" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "is_live": false,    "broadcast": {      "property1": null,      "property2": null    }  },  "details": {    "reason": "no_results",    "message": "string"  }}